SplashStyle =
{
	scale_widescreen = 1.6,
}

-- Main game loop
function Main()
	if ( IsWideScreen() ) then
		SetDefaultStyle( SplashStyle );
		DisplaySplash(
		  "splash/logo_orange_1360.swf",
		  "splash/logo_orange_flash_failed_1360.png",
		  3000
		);
		DisplaySplash(
		  "splash/oberon_splash_1360.swf",
		  "splash/oberon_logo_1360_768.png",
		  3000
		);
		DisplaySplash(
		  "splash/logo_kylotonn_1360.swf",
		  "splash/logo_kylotonn_flash_failed_1360.png",
		  3000
		);
	else
		DisplaySplash(
		  "splash/logo_orange_1024.swf",
		  "splash/logo_orange_flash_failed_1024.png",
		  3000
		);
		DisplaySplash(
		  "splash/oberon_splash_1024.swf",
		  "splash/oberon_logo_1024_768.png",
		  3000
		);
		DisplaySplash(
		  "splash/logo_kylotonn_1024.swf",
		  "splash/logo_kylotonn_flash_failed_1024.png",
		  3000
		);

	end

	-- Push the game selection screen
	while true do
		DoMainWindow( "scripts/mainmenu.lua" );
		-- DoMainWindow will exit only if there are NO windows pushed on the stack, so
		-- a PopModal()/PushModal() combination will not cause this to loop.
	end
end

-- Return a function to be executed in a thread
return Main